#pragma once
#include "B4RDefines.h"
#include "NS_Rainbow.h"
//~version: 1.00
namespace B4R {
	//~shortname: NSRainbow
	class B4RNSRainbow {
		private:
			uint8_t be[sizeof(NS_Rainbow)];
			NS_Rainbow* rainbow;
		public:
			void Initialize(UInt N, Byte P);
			void Show();
			void Clear (UInt N_Clr);
			void SetPin (Byte Pin);
			void FreePin (Byte Pin);
			void SetColor (UInt N, Byte R, Byte G, Byte B);
			void SetBrightness (Byte B);
	};

}